Skip to main content

Sales


A sale is a bundled authorization and capture. Request the authorization and capture services at the same time. processes the capture immediately.

Supported processors (14)

American Express Direct, Barclays, Chase Paymentech Solutions, Elavon, Elavon Americas, FDC Compass, FDC Nashville Global, GPN, HSBC, JCN Gateway, OmniPay Direct, Streamline, TSYS Acquiring Solutions, Visa Platform Connect

Supported processors: Chase Paymentech Solutions, Elavon Americas, FDC Nashville Global, Streamline, Visa Platform Connect

Supported processors: TSYS Acquiring Solutions, Visa Platform Connect

Supported processors: Barclays

Supported processors: GPX

Supported processors: Visa Platform Connect

Endpoint

POST /pts/v2/payments

POST /pts/v2/payments

Processor-Specific Authorization and Capture Information

This table describes processor-specific authorization and capture behavior:

ProcessorDescription
American Express DirectFor USD, American Express Direct limits authorization and capture amounts to 9,999,999.00. For other currencies, the maximum amount depends on the currency. Contact American Express for the maximum amounts for the currencies that you are using. Regardless of exponent or currency, the maximum number of digits for the amount value is 12 digits.
BarclaysThe amount is rounded to the correct number of decimal places for the currency. Barclays does not support amounts of 0.01. Barclays supports zero amount authorizations and amounts greater than 0.01. Barclays supports enhanced response codes in authorization response messages. Enhanced response codes provide detailed information about declined transactions. Contact Barclays customer support to have this capability enabled for your account.
ElavonElavon limits authorization and capture amounts to 999999999999 (twelve 9s).
FDC Nashville GlobalMerchant descriptor information is always provided to the processor for all capture and credit transactions.
GPNAmounts for authorizations, captures, and credits are limited to 10 digits.
HSBCThe amount is rounded to the correct number of decimal places for the currency. HSBC supports enhanced response codes in authorization response messages. Enhanced response codes provide detailed information about declined transactions. Contact HSBC customer support to have this capability enabled for your account.
JCN GatewayAmounts for authorizations and captures are limited to 8 digits.
StreamlineStreamline limits authorization and capture amounts to 11 digits, which is 999999999.99. For Cartes Bancaires, the authorization and capture amount must be 0.99 EUR or more. Streamline supports enhanced response codes in authorization response messages. Enhanced response codes provide detailed information about declined transactions. Contact Streamline customer support to have this capability enabled for your account.
TSYS Acquiring SolutionsTSYS Acquiring Solutions limits authorization and capture amounts to the equivalent of 99,999.99 USD. To process an amount greater than this, contact TSYS Acquiring Solutions.
Visa Platform ConnectVisa Platform Connect limits authorization and capture amounts to 999999999999 (twelve 9s).

Processor-Specific Authorization and Capture Information

This table describes processor-specific authorization and capture behavior:

ProcessorDescription
FDC Nashville GlobalMerchant descriptor information is always provided to the processor for all capture and credit transactions.
StreamlineStreamline limits authorization and capture amounts to 11 digits, which is 999999999.99. For Cartes Bancaires, the authorization and capture amount must be 0.99 EUR or more. Streamline supports enhanced response codes in authorization response messages. Enhanced response codes provide detailed information about declined transactions. Contact Streamline customer support to have this capability enabled for your account.
Visa Platform ConnectVisa Platform Connect limits authorization and capture amounts to 999999999999 (twelve 9s).

Processor-Specific Authorization and Capture Information

This table describes processor-specific authorization and capture behavior:

ProcessorDescription
TSYS Acquiring SolutionsTSYS Acquiring Solutions limits authorization and capture amounts to the equivalent of 99,999.99 USD. To process an amount greater than this, contact TSYS Acquiring Solutions.
Visa Platform ConnectVisa Platform Connect limits authorization and capture amounts to 999999999999 (twelve 9s).

Processor-Specific Authorization and Capture Information

This table describes processor-specific authorization and capture behavior:

ProcessorDescription
BarclaysThe amount is rounded to the correct number of decimal places for the currency. Barclays does not support amounts of 0.01. Barclays supports zero amount authorizations and amounts greater than 0.01. Barclays supports enhanced response codes in authorization response messages. Enhanced response codes provide detailed information about declined transactions. Contact Barclays customer support to have this capability enabled for your account.

Processor-Specific Authorization and Capture Information

This table describes processor-specific authorization and capture behavior:

ProcessorDescription
Visa Platform ConnectVisa Platform Connect limits authorization and capture amounts to 999999999999 (twelve 9s).

Example

{    "clientReferenceInformation": {        "code": "demorefnum"    },    "processingInformation": {        "paymentSolution": "008",        "commerceIndicator": "aesk"    },    "paymentInformation": {        "tokenizedCard": {            "transactionType": "1",            "type": "003"        }    },    "fluidData": {      "descriptor": "ABCDEFabcdefABCDEFabcdef0987654321234567",      "value": "RklEPUNPTU1PTi5TQU1TVU5HLklOQVBQLlBBWU1FTlQ="    },    "billTo": {        "firstName": "James",        "lastName": "Smith",        "address1": "111 S. Division St.",        "address2": "Suite 123",        "locality": "Ann Arbor",        "administrativeArea": "MI",        "postalCode": "48104-2201",        "country": "US",        "email": "[email protected]",        "phoneNumber": "9999999999"    },    "orderInformation": {        "amountDetails": {            "currency": "USD",            "totalAmount": "100.00"        }    }}
{    "clientReferenceInformation": {        "code": "demorefnum"    },    "orderInformation": {        "amountDetails": {            "currency": "USD",            "authorizedAmount": "100.00",            "totalAmount": "100.00"        }    },    "paymentInformation": {        "tokenizedCard": {            "prefix": "593056",            "suffix": "0842",            "expirationMonth": "08",            "expirationYear": "2021"        }    },    "processingInformation": {        "reconciliationID": "13209256CGJSMQCZ"    },    "processorInformation": {        "approvalCode": "888888",        "responseCode": "100",        "avs": {            "code": "I1"        }    },    "submitTimeUtc": "2015-11-03T205202Z"}

Required Fields

These fields are required when submitting a sale request:

Fields required for requesting the authorization service

Use the same values that are set for requesting the authorization service. See Authorizations: Decryption or Authorizations: Merchant Decryption.

REST API Field Reference Guide

REST API Field Reference Guide

Last published: September 29, 2026